import { SFCTemplateCompileOptions, SFCStyleCompileOptions } from '@vue/compiler-sfc';
import { Plugin } from 'rollup';
export interface Options extends Pick<SFCTemplateCompileOptions, 'compiler' | 'compilerOptions' | 'transformAssetUrls'>, Pick<SFCStyleCompileOptions, 'preprocessCustomRequire'> {
    include: string | RegExp | (string | RegExp)[];
    exclude: string | RegExp | (string | RegExp)[];
    target: 'node' | 'browser';
    exposeFilename: boolean;
    customBlocks?: string[];
    preprocessStyles?: boolean;
    cssModulesOptions?: {
        scopeBehaviour?: 'global' | 'local';
        globalModulePaths?: string[];
        generateScopedName?: string | ((name: string, filename: string, css: string) => string);
        hashPrefix?: string;
        localsConvention?: 'camelCase' | 'camelCaseOnly' | 'dashes' | 'dashesOnly';
    };
}
export default function PluginVue(userOptions?: Partial<Options>): Plugin;
